Subject: Amendment
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 14 May 2001 02:52:00 -0700 (PDT)

Michelle, 

Per our conversation, attached is a draft of an amendment to the Master Firm 
Purchase/Sale Agreement between IDACORP Energy Solutions, Inc. and Enron 
North America Corp.  which changes the confirming party to ENA.

Please call me at (713) 853-5705 or e-mail me with your comments.

Stacy Dickson